OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TransformFeedback

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTransformFeedback :: MonadIO m => m Bool
- gl_EXT_transform_feedback :: Bool
- gl_INTERLEAVED_ATTRIBS_EXT :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT :: GLenum
- gl_PRIMITIVES_GENERATED_EXT :: GLenum
- gl_RASTERIZER_DISCARD_EXT :: GLenum
- gl_SEPARATE_ATTRIBS_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_START_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYINGS_EXT :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT :: GLenum
- glBeginTransformFeedbackEXT :: MonadIO m => GLenum -> m ()
- glBindBufferBaseEXT :: MonadIO m => GLenum -> GLuint -> GLuint -> m ()
- glBindBufferOffsetEXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> m ()
- glBindBufferRangeEXT :: MonadIO m => GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glEndTransformFeedbackEXT :: MonadIO m => m ()
- glGetTransformFeedbackVaryingEXT :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> m ()
- glTransformFeedbackVaryingsEXT :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> GLenum -> m ()

# Extension Support

glGetEXTTransformFeedback :: MonadIO m => m Bool

Is the EXT_transform_feedback extension supported?

gl_EXT_transform_feedback :: Bool

Is the EXT_transform_feedback extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTransformFeedback` in those cases instead.

# Enums

gl_INTERLEAVED_ATTRIBS_EXT :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_EXT :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_EXT :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_EXT :: GLenum

gl_PRIMITIVES_GENERATED_EXT :: GLenum

gl_RASTERIZER_DISCARD_EXT :: GLenum

gl_SEPARATE_ATTRIBS_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_BINDING_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_MODE_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_SIZE_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_START_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_VARYINGS_EXT :: GLenum

gl_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH_EXT :: GLenum

# Functions

glBeginTransformFeedbackEXT

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> m () |

This command is an alias for `glBeginTransformFeedback`.

glBindBufferBaseEXT

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

This command is an alias for `glBindBufferBase`.

glBindBufferOffsetEXT

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> m () |

glBindBufferRangeEXT

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

This command is an alias for `glBindBufferRange`.

glEndTransformFeedbackEXT :: MonadIO m => m ()

This command is an alias for `glEndTransformFeedback`.

glGetTransformFeedbackVaryingEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLsizei | `size` pointing to `1` element of type `GLsizei`.
-> Ptr GLenum | `type` pointing to `1` element of type `GLenum`.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

This command is an alias for `glGetTransformFeedbackVarying`.

glTransformFeedbackVaryingsEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `varyings` pointing to `count` elements of type `Ptr GLchar`.
-> GLenum | `bufferMode`.
-> m () |

This command is an alias for `glTransformFeedbackVaryings`.